#ifndef __EXTRASTUFF_H_
#define __EXTRASTUFF_H_

#include <d3d.h>
#include "gemmath.h"

VOID CreatePlain( LONG, LONG, LPD3DLVERTEX, LPWORD, LPD3DLVERTEX );
HRESULT ApplySphereMap( D3DVERTEX*, DWORD, LPDIRECT3DDEVICE7 );
HRESULT ApplySphereMap( D3DVERTEX*, DWORD, gem_Matrix& );
VOID SetAlphaValue( LPD3DLVERTEX, DWORD, DWORD );
VOID SetColorValue( LPD3DLVERTEX, DWORD, DWORD );
VOID RenderEfxFace( FLOAT, FLOAT, FLOAT, FLOAT, DWORD, LPDIRECTDRAWSURFACE7, LPDIRECT3DDEVICE7, DWORD = 0 );
VOID CreateCube( LPD3DVERTEX, FLOAT, gem_Vector = gem_Vector(0, 0, 0) );
VOID CreateLCube( LPD3DLVERTEX, FLOAT, gem_Vector = gem_Vector(0, 0, 0) );

#endif